oclif-hello-world
=================

oclif example Hello World CLI

[![oclif](https://img.shields.io/badge/cli-oclif-brightgreen.svg)](https://oclif.io)
[![Version](https://img.shields.io/npm/v/oclif-hello-world.svg)](https://npmjs.org/package/oclif-hello-world)
[![CircleCI](https://circleci.com/gh/oclif/hello-world/tree/main.svg?style=shield)](https://circleci.com/gh/oclif/hello-world/tree/main)
[![Downloads/week](https://img.shields.io/npm/dw/oclif-hello-world.svg)](https://npmjs.org/package/oclif-hello-world)
[![License](https://img.shields.io/npm/l/oclif-hello-world.svg)](https://github.com/oclif/hello-world/blob/main/package.json)

<!-- toc -->
* [Usage](#usage)
* [Commands](#commands)
<!-- tocstop -->
# Usage
<!-- usage -->
```sh-session
$ npm install -g kingoftime-cli
$ kot COMMAND
running command...
$ kot (--version)
kingoftime-cli/0.0.0 darwin-x64 node-v18.15.0
$ kot --help [COMMAND]
USAGE
  $ kot COMMAND
...
```
<!-- usagestop -->
# Commands
<!-- commands -->
* [`kot hello PERSON`](#kot-hello-person)
* [`kot hello world`](#kot-hello-world)
* [`kot help [COMMANDS]`](#kot-help-commands)
* [`kot plugins`](#kot-plugins)
* [`kot plugins:install PLUGIN...`](#kot-pluginsinstall-plugin)
* [`kot plugins:inspect PLUGIN...`](#kot-pluginsinspect-plugin)
* [`kot plugins:install PLUGIN...`](#kot-pluginsinstall-plugin-1)
* [`kot plugins:link PLUGIN`](#kot-pluginslink-plugin)
* [`kot plugins:uninstall PLUGIN...`](#kot-pluginsuninstall-plugin)
* [`kot plugins:uninstall PLUGIN...`](#kot-pluginsuninstall-plugin-1)
* [`kot plugins:uninstall PLUGIN...`](#kot-pluginsuninstall-plugin-2)
* [`kot plugins update`](#kot-plugins-update)

## `kot hello PERSON`

Say hello

```
USAGE
  $ kot hello PERSON -f <value>

ARGUMENTS
  PERSON  Person to say hello to

FLAGS
  -f, --from=<value>  (required) Who is saying hello

DESCRIPTION
  Say hello

EXAMPLES
  $ oex hello friend --from oclif
  hello friend from oclif! (./src/commands/hello/index.ts)
```

_See code: [dist/commands/hello/index.ts](https://github.com/adamu/kingoftime-cli/blob/v0.0.0/dist/commands/hello/index.ts)_

## `kot hello world`

Say hello world

```
USAGE
  $ kot hello world

DESCRIPTION
  Say hello world

EXAMPLES
  $ kot hello world
  hello world! (./src/commands/hello/world.ts)
```

## `kot help [COMMANDS]`

Display help for kot.

```
USAGE
  $ kot help [COMMANDS] [-n]

ARGUMENTS
  COMMANDS  Command to show help for.

FLAGS
  -n, --nested-commands  Include all nested commands in the output.

DESCRIPTION
  Display help for kot.
```

_See code: [@oclif/plugin-help](https://github.com/oclif/plugin-help/blob/v5.2.9/src/commands/help.ts)_

## `kot plugins`

List installed plugins.

```
USAGE
  $ kot plugins [--core]

FLAGS
  --core  Show core plugins.

DESCRIPTION
  List installed plugins.

EXAMPLES
  $ kot plugins
```

_See code: [@oclif/plugin-plugins](https://github.com/oclif/plugin-plugins/blob/v2.4.4/src/commands/plugins/index.ts)_

## `kot plugins:install PLUGIN...`

Installs a plugin into the CLI.

```
USAGE
  $ kot plugins:install PLUGIN...

ARGUMENTS
  PLUGIN  Plugin to install.

FLAGS
  -f, --force    Run yarn install with force flag.
  -h, --help     Show CLI help.
  -v, --verbose

DESCRIPTION
  Installs a plugin into the CLI.
  Can be installed from npm or a git url.

  Installation of a user-installed plugin will override a core plugin.

  e.g. If you have a core plugin that has a 'hello' command, installing a user-installed plugin with a 'hello' command
  will override the core plugin implementation. This is useful if a user needs to update core plugin functionality in
  the CLI without the need to patch and update the whole CLI.


ALIASES
  $ kot plugins add

EXAMPLES
  $ kot plugins:install myplugin 

  $ kot plugins:install https://github.com/someuser/someplugin

  $ kot plugins:install someuser/someplugin
```

## `kot plugins:inspect PLUGIN...`

Displays installation properties of a plugin.

```
USAGE
  $ kot plugins:inspect PLUGIN...

ARGUMENTS
  PLUGIN  [default: .] Plugin to inspect.

FLAGS
  -h, --help     Show CLI help.
  -v, --verbose

GLOBAL FLAGS
  --json  Format output as json.

DESCRIPTION
  Displays installation properties of a plugin.

EXAMPLES
  $ kot plugins:inspect myplugin
```

## `kot plugins:install PLUGIN...`

Installs a plugin into the CLI.

```
USAGE
  $ kot plugins:install PLUGIN...

ARGUMENTS
  PLUGIN  Plugin to install.

FLAGS
  -f, --force    Run yarn install with force flag.
  -h, --help     Show CLI help.
  -v, --verbose

DESCRIPTION
  Installs a plugin into the CLI.
  Can be installed from npm or a git url.

  Installation of a user-installed plugin will override a core plugin.

  e.g. If you have a core plugin that has a 'hello' command, installing a user-installed plugin with a 'hello' command
  will override the core plugin implementation. This is useful if a user needs to update core plugin functionality in
  the CLI without the need to patch and update the whole CLI.


ALIASES
  $ kot plugins add

EXAMPLES
  $ kot plugins:install myplugin 

  $ kot plugins:install https://github.com/someuser/someplugin

  $ kot plugins:install someuser/someplugin
```

## `kot plugins:link PLUGIN`

Links a plugin into the CLI for development.

```
USAGE
  $ kot plugins:link PLUGIN

ARGUMENTS
  PATH  [default: .] path to plugin

FLAGS
  -h, --help     Show CLI help.
  -v, --verbose

DESCRIPTION
  Links a plugin into the CLI for development.
  Installation of a linked plugin will override a user-installed or core plugin.

  e.g. If you have a user-installed or core plugin that has a 'hello' command, installing a linked plugin with a 'hello'
  command will override the user-installed or core plugin implementation. This is useful for development work.


EXAMPLES
  $ kot plugins:link myplugin
```

## `kot plugins:uninstall PLUGIN...`

Removes a plugin from the CLI.

```
USAGE
  $ kot plugins:uninstall PLUGIN...

ARGUMENTS
  PLUGIN  plugin to uninstall

FLAGS
  -h, --help     Show CLI help.
  -v, --verbose

DESCRIPTION
  Removes a plugin from the CLI.

ALIASES
  $ kot plugins unlink
  $ kot plugins remove
```

## `kot plugins:uninstall PLUGIN...`

Removes a plugin from the CLI.

```
USAGE
  $ kot plugins:uninstall PLUGIN...

ARGUMENTS
  PLUGIN  plugin to uninstall

FLAGS
  -h, --help     Show CLI help.
  -v, --verbose

DESCRIPTION
  Removes a plugin from the CLI.

ALIASES
  $ kot plugins unlink
  $ kot plugins remove
```

## `kot plugins:uninstall PLUGIN...`

Removes a plugin from the CLI.

```
USAGE
  $ kot plugins:uninstall PLUGIN...

ARGUMENTS
  PLUGIN  plugin to uninstall

FLAGS
  -h, --help     Show CLI help.
  -v, --verbose

DESCRIPTION
  Removes a plugin from the CLI.

ALIASES
  $ kot plugins unlink
  $ kot plugins remove
```

## `kot plugins update`

Update installed plugins.

```
USAGE
  $ kot plugins update [-h] [-v]

FLAGS
  -h, --help     Show CLI help.
  -v, --verbose

DESCRIPTION
  Update installed plugins.
```
<!-- commandsstop -->
